# Remote MCP

ToolRegistry has a remote MCP endpoint available at <https://mcp.toolregistry.ai/mcp> that supports streamable HTTP for transport.

### Prerequisites ([Quickstart](/getting-started/quickstart.md))

* API key
* At least **one active** integration

### MCP configuration

{% code title="mcp.json" %}

```json
{
  "mcpServers": {
    "ToolRegistry": {
      "type": "streamable-http",
      "url": "https://mcp.toolregistry.ai/mcp",
      "headers": {
        "x-api-key": "<your_api_key>",
        "x-user-id": "<user_identifier>"
      }
    }
  }
}

```

{% endcode %}

The **x-user-id** header is a unique identifier for a user.&#x20;

This should be unique per end user. When using remote MCP on your local machine through an app like Claude, Cursor, etc, then this can be set to a single static value. \
The `x-user-id` header is required when using OAuth based integrations.\
See more about the [user identifier](/concepts/act-as-user-userid.md)

### Tools

Remote MCP provides the following tools

#### List integrations

Lists all the active integrations that you have available

#### Execute intent

Execute an intent across any of your active integrations. \
Returns information about a created run that can be used to check the status of the run.

#### Run status

Allows to check the status of a run by ID.\
Optionally can include all events such as all tool-calls made during the run.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toolregistry.ai/getting-started/remote-mcp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
